--- old/usr/src/test/zfs-tests/runfiles/delphix.run	Fri Nov 22 15:19:17 2013
+++ new/usr/src/test/zfs-tests/runfiles/delphix.run	Fri Nov 22 15:19:17 2013
@@ -55,11 +55,27 @@
 tests = ['atime_001_pos', 'atime_002_neg']
 
 [/opt/zfs-tests/tests/functional/bootfs]
-tests = ['bootfs_001_pos', 'bootfs_002_neg', 'bootfs_003_pos', 'bootfs_004_neg',
-    'bootfs_005_neg', 'bootfs_006_pos', 'bootfs_007_neg', 'bootfs_008_neg']
+tests = ['bootfs_001_pos', 'bootfs_002_neg', 'bootfs_003_pos',
+    'bootfs_004_neg', 'bootfs_005_neg', 'bootfs_006_pos', 'bootfs_007_neg',
+    'bootfs_008_neg']
 pre =
 post =
 
+[/opt/zfs-tests/tests/functional/cache]
+tests = ['cache_001_pos', 'cache_002_pos', 'cache_003_pos', 'cache_004_neg',
+    'cache_005_neg', 'cache_006_pos', 'cache_007_neg', 'cache_008_neg',
+    'cache_009_pos', 'cache_010_neg', 'cache_011_pos']
+
+[/opt/zfs-tests/tests/functional/cachefile]
+tests = ['cachefile_001_pos', 'cachefile_002_pos', 'cachefile_003_pos',
+    'cachefile_004_pos']
+pre =
+post =
+
+[/opt/zfs-tests/tests/functional/clean_mirror]
+tests = [ 'clean_mirror_001_pos', 'clean_mirror_002_pos',
+    'clean_mirror_003_pos', 'clean_mirror_004_pos']
+
 [/opt/zfs-tests/tests/functional/cli_root/zdb]
 tests = ['zdb_001_neg']
 pre =
@@ -117,7 +133,7 @@
 
 [/opt/zfs-tests/tests/functional/cli_root/zfs_receive]
 tests = ['zfs_receive_001_pos', 'zfs_receive_002_pos', 'zfs_receive_003_pos',
-    'zfs_receive_004_neg', 'zfs_receive_005_neg', 'zfs_receive_006_pos',
+    'zfs_receive_005_neg', 'zfs_receive_006_pos',
     'zfs_receive_007_neg', 'zfs_receive_008_pos', 'zfs_receive_009_neg']
 
 [/opt/zfs-tests/tests/functional/cli_root/zfs_rename]
@@ -131,8 +147,8 @@
 tests = ['zfs_reservation_001_pos', 'zfs_reservation_002_pos']
 
 [/opt/zfs-tests/tests/functional/cli_root/zfs_rollback]
-tests = ['zfs_rollback_001_pos', 'zfs_rollback_002_pos', 'zfs_rollback_003_neg',
-    'zfs_rollback_004_neg']
+tests = ['zfs_rollback_001_pos', 'zfs_rollback_002_pos',
+    'zfs_rollback_003_neg', 'zfs_rollback_004_neg']
 
 [/opt/zfs-tests/tests/functional/cli_root/zfs_send]
 tests = ['zfs_send_001_pos', 'zfs_send_002_pos', 'zfs_send_003_pos',
@@ -156,9 +172,10 @@
     'zfs_share_010_neg', 'zfs_share_011_pos']
 
 [/opt/zfs-tests/tests/functional/cli_root/zfs_snapshot]
-tests = ['zfs_snapshot_001_neg', 'zfs_snapshot_002_neg', 'zfs_snapshot_003_neg',
-    'zfs_snapshot_004_neg', 'zfs_snapshot_005_neg', 'zfs_snapshot_006_pos',
-    'zfs_snapshot_007_neg', 'zfs_snapshot_008_neg', 'zfs_snapshot_009_pos']
+tests = ['zfs_snapshot_001_neg', 'zfs_snapshot_002_neg',
+    'zfs_snapshot_003_neg', 'zfs_snapshot_004_neg', 'zfs_snapshot_005_neg',
+    'zfs_snapshot_006_pos', 'zfs_snapshot_007_neg', 'zfs_snapshot_008_neg',
+    'zfs_snapshot_009_pos']
 
 [/opt/zfs-tests/tests/functional/cli_root/zfs_unmount]
 tests = ['zfs_unmount_001_pos', 'zfs_unmount_002_pos', 'zfs_unmount_003_pos',
@@ -190,14 +207,14 @@
 tests = ['zpool_clear_001_pos', 'zpool_clear_002_neg', 'zpool_clear_003_neg']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_create]
-tests = ['zpool_create_001_pos', 'zpool_create_002_pos', 'zpool_create_003_pos',
-    'zpool_create_004_pos', 'zpool_create_005_pos', 'zpool_create_006_pos',
-    'zpool_create_007_neg', 'zpool_create_008_pos', 'zpool_create_009_neg',
-    'zpool_create_010_neg', 'zpool_create_011_neg', 'zpool_create_012_neg',
-    'zpool_create_013_neg', 'zpool_create_014_neg', 'zpool_create_015_neg',
-    'zpool_create_016_pos', 'zpool_create_017_neg', 'zpool_create_018_pos',
-    'zpool_create_019_pos', 'zpool_create_020_pos', 'zpool_create_021_pos',
-    'zpool_create_022_pos', 'zpool_create_023_neg',
+tests = ['zpool_create_001_pos', 'zpool_create_002_pos',
+    'zpool_create_003_pos', 'zpool_create_004_pos', 'zpool_create_005_pos',
+    'zpool_create_006_pos', 'zpool_create_007_neg', 'zpool_create_008_pos',
+    'zpool_create_009_neg', 'zpool_create_010_neg', 'zpool_create_011_neg',
+    'zpool_create_012_neg', 'zpool_create_013_neg', 'zpool_create_014_neg',
+    'zpool_create_015_neg', 'zpool_create_016_pos', 'zpool_create_017_neg',
+    'zpool_create_018_pos', 'zpool_create_019_pos', 'zpool_create_020_pos',
+    'zpool_create_021_pos', 'zpool_create_022_pos', 'zpool_create_023_neg',
     'zpool_create_features_001_pos', 'zpool_create_features_002_pos',
     'zpool_create_features_003_pos', 'zpool_create_features_004_neg']
 
@@ -211,11 +228,12 @@
 tests = ['zpool_detach_001_neg']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_expand]
-tests = ['zpool_expand_001_pos', 'zpool_expand_002_pos', 'zpool_expand_003_neg']
+tests = ['zpool_expand_001_pos', 'zpool_expand_002_pos',
+    'zpool_expand_003_neg']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_export]
-tests = ['zpool_export_001_pos', 'zpool_export_002_pos', 'zpool_export_003_neg',
-    'zpool_export_004_pos']
+tests = ['zpool_export_001_pos', 'zpool_export_002_pos',
+    'zpool_export_003_neg', 'zpool_export_004_pos']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_get]
 tests = ['zpool_get_001_pos', 'zpool_get_002_pos', 'zpool_get_003_pos',
@@ -225,11 +243,11 @@
 tests = ['zpool_history_001_neg', 'zpool_history_002_pos']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_import]
-tests = ['zpool_import_001_pos', 'zpool_import_002_pos', 'zpool_import_003_pos',
-    'zpool_import_004_pos', 'zpool_import_005_pos', 'zpool_import_006_pos',
-    'zpool_import_007_pos', 'zpool_import_008_pos', 'zpool_import_009_neg',
-    'zpool_import_010_pos', 'zpool_import_011_neg', 'zpool_import_012_pos',
-    'zpool_import_013_neg', 'zpool_import_all_001_pos',
+tests = ['zpool_import_001_pos', 'zpool_import_002_pos',
+    'zpool_import_003_pos', 'zpool_import_004_pos', 'zpool_import_005_pos',
+    'zpool_import_006_pos', 'zpool_import_007_pos', 'zpool_import_008_pos',
+    'zpool_import_009_neg', 'zpool_import_010_pos', 'zpool_import_011_neg',
+    'zpool_import_012_pos', 'zpool_import_013_neg', 'zpool_import_all_001_pos',
     'zpool_import_features_001_pos', 'zpool_import_features_002_neg',
     'zpool_import_features_003_pos', 'zpool_import_missing_001_pos',
     'zpool_import_missing_002_pos', 'zpool_import_missing_003_pos',
@@ -242,7 +260,8 @@
 tests = ['zpool_online_001_pos', 'zpool_online_002_neg']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_remove]
-tests = ['zpool_remove_001_neg', 'zpool_remove_002_pos', 'zpool_remove_003_pos']
+tests = ['zpool_remove_001_neg', 'zpool_remove_002_pos',
+    'zpool_remove_003_pos']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_replace]
 tests = ['zpool_replace_001_neg']
@@ -265,10 +284,243 @@
     'zpool_upgrade_006_neg', 'zpool_upgrade_007_pos', 'zpool_upgrade_008_pos',
     'zpool_upgrade_009_neg']
 
-[/opt/zfs-tests/tests/functional/truncate]
-tests = ['truncate_001_pos', 'truncate_002_pos']
+[/opt/zfs-tests/tests/functional/cli_user/misc]
+tests = ['zdb_001_neg', 'zfs_001_neg', 'zfs_allow_001_neg',
+    'zfs_clone_001_neg', 'zfs_create_001_neg', 'zfs_destroy_001_neg',
+    'zfs_get_001_neg', 'zfs_inherit_001_neg', 'zfs_mount_001_neg',
+    'zfs_promote_001_neg', 'zfs_receive_001_neg', 'zfs_rename_001_neg',
+    'zfs_rollback_001_neg', 'zfs_send_001_neg', 'zfs_set_001_neg',
+    'zfs_share_001_neg', 'zfs_snapshot_001_neg', 'zfs_unallow_001_neg',
+    'zfs_unmount_001_neg', 'zfs_unshare_001_neg', 'zfs_upgrade_001_neg',
+    'zpool_001_neg', 'zpool_add_001_neg', 'zpool_attach_001_neg',
+    'zpool_clear_001_neg', 'zpool_create_001_neg', 'zpool_destroy_001_neg',
+    'zpool_detach_001_neg', 'zpool_export_001_neg', 'zpool_get_001_neg',
+    'zpool_history_001_neg', 'zpool_import_001_neg', 'zpool_import_002_neg',
+    'zpool_offline_001_neg', 'zpool_online_001_neg', 'zpool_remove_001_neg',
+    'zpool_replace_001_neg', 'zpool_scrub_001_neg', 'zpool_set_001_neg',
+    'zpool_status_001_neg', 'zpool_upgrade_001_neg']
+user =
 
+[/opt/zfs-tests/tests/functional/cli_user/zfs_list]
+tests = ['zfs_list_001_pos', 'zfs_list_002_pos', 'zfs_list_003_pos',
+    'zfs_list_004_neg', 'zfs_list_007_pos', 'zfs_list_008_neg']
+user =
+
+[/opt/zfs-tests/tests/functional/cli_user/zpool_iostat]
+tests = ['zpool_iostat_001_neg', 'zpool_iostat_002_pos',
+    'zpool_iostat_003_neg']
+user =
+
+[/opt/zfs-tests/tests/functional/cli_user/zpool_list]
+tests = ['zpool_list_001_pos', 'zpool_list_002_neg']
+user =
+
+[/opt/zfs-tests/tests/functional/compression]
+tests = ['compress_001_pos', 'compress_002_pos', 'compress_003_pos',
+    'compress_004_pos']
+
+[/opt/zfs-tests/tests/functional/ctime]
+tests = ['ctime_001_pos' ]
+
+[/opt/zfs-tests/tests/functional/delegate]
+tests = ['zfs_allow_001_pos', 'zfs_allow_002_pos',
+    'zfs_allow_004_pos', 'zfs_allow_005_pos', 'zfs_allow_006_pos',
+    'zfs_allow_007_pos', 'zfs_allow_008_pos', 'zfs_allow_009_neg',
+    'zfs_allow_010_pos', 'zfs_allow_011_neg', 'zfs_allow_012_neg',
+    'zfs_unallow_001_pos', 'zfs_unallow_002_pos', 'zfs_unallow_003_pos',
+    'zfs_unallow_004_pos', 'zfs_unallow_005_pos', 'zfs_unallow_006_pos',
+    'zfs_unallow_007_neg', 'zfs_unallow_008_neg']
+
+[/opt/zfs-tests/tests/functional/devices]
+tests = ['devices_001_pos', 'devices_002_neg', 'devices_003_pos']
+
+[/opt/zfs-tests/tests/functional/exec]
+tests = ['exec_001_pos', 'exec_002_neg']
+
+[/opt/zfs-tests/tests/functional/features/async_destroy]
+tests = ['async_destroy_001_pos']
+
+[/opt/zfs-tests/tests/functional/grow_pool]
+tests = ['grow_pool_001_pos']
+
+[/opt/zfs-tests/tests/functional/grow_replicas]
+tests = ['grow_replicas_001_pos']
+
+[/opt/zfs-tests/tests/functional/history]
+tests = ['history_001_pos', 'history_002_pos', 'history_003_pos',
+    'history_004_pos', 'history_005_neg', 'history_006_neg', 'history_007_pos',
+    'history_008_pos', 'history_009_pos', 'history_010_pos']
+
+[/opt/zfs-tests/tests/functional/inheritance]
+tests = ['inherit_001_pos']
+pre =
+
+[/opt/zfs-tests/tests/functional/interop]
+tests = ['interop_001_pos']
+
+[/opt/zfs-tests/tests/functional/inuse]
+tests = ['inuse_001_pos', 'inuse_002_pos', 'inuse_003_pos', 'inuse_004_pos',
+    'inuse_005_pos', 'inuse_006_pos', 'inuse_007_pos', 'inuse_008_pos',
+    'inuse_009_pos']
+post =
+
+[/opt/zfs-tests/tests/functional/large_files]
+tests = ['large_files_001_pos']
+
+[/opt/zfs-tests/tests/functional/largest_pool]
+tests = ['largest_pool_001_pos']
+pre =
+post =
+
+[/opt/zfs-tests/tests/functional/link_count]
+tests = ['link_count_001']
+
+[/opt/zfs-tests/tests/functional/mdb]
+tests = ['mdb_001_pos']
+
+[/opt/zfs-tests/tests/functional/migration]
+tests = ['migration_001_pos', 'migration_002_pos', 'migration_003_pos',
+    'migration_004_pos', 'migration_005_pos', 'migration_006_pos',
+    'migration_007_pos', 'migration_008_pos', 'migration_009_pos',
+    'migration_010_pos', 'migration_011_pos', 'migration_012_pos']
+
+[/opt/zfs-tests/tests/functional/mmap]
+tests = ['mmap_read_001_pos', 'mmap_write_001_pos']
+
+[/opt/zfs-tests/tests/functional/mount]
+tests = ['umount_001', 'umountall_001']
+
+[/opt/zfs-tests/tests/functional/mv_files]
+tests = ['mv_files_001_pos', 'mv_files_002_pos']
+
+[/opt/zfs-tests/tests/functional/nestedfs]
+tests = ['nestedfs_001_pos']
+
+[/opt/zfs-tests/tests/functional/no_space]
+tests = ['enospc_001_pos']
+
 [/opt/zfs-tests/tests/functional/nopwrite]
 tests = ['nopwrite_copies', 'nopwrite_mtime', 'nopwrite_negative',
     'nopwrite_promoted_clone', 'nopwrite_recsize', 'nopwrite_sync',
     'nopwrite_varying_compression', 'nopwrite_volume']
+
+[/opt/zfs-tests/tests/functional/online_offline]
+tests = ['online_offline_001_pos', 'online_offline_002_neg',
+    'online_offline_003_neg']
+
+[/opt/zfs-tests/tests/functional/pool_names]
+tests = ['pool_names_001_pos', 'pool_names_002_neg']
+pre =
+post =
+
+[/opt/zfs-tests/tests/functional/poolversion]
+tests = ['poolversion_001_pos', 'poolversion_002_pos']
+
+[/opt/zfs-tests/tests/functional/privilege]
+tests = ['privilege_001_pos', 'privilege_002_pos']
+
+[/opt/zfs-tests/tests/functional/quota]
+tests = ['quota_001_pos', 'quota_002_pos', 'quota_003_pos', 'quota_004_pos',
+    'quota_005_pos', 'quota_006_neg']
+
+[/opt/zfs-tests/tests/functional/redundancy]
+tests = ['redundancy_001_pos', 'redundancy_002_pos', 'redundancy_003_pos']
+
+[/opt/zfs-tests/tests/functional/refquota]
+tests = ['refquota_001_pos', 'refquota_002_pos', 'refquota_003_pos',
+    'refquota_004_pos', 'refquota_005_pos', 'refquota_006_neg']
+
+[/opt/zfs-tests/tests/functional/refreserv]
+tests = ['refreserv_001_pos', 'refreserv_002_pos', 'refreserv_003_pos',
+    'refreserv_004_pos', 'refreserv_005_pos']
+
+[/opt/zfs-tests/tests/functional/rename_dirs]
+tests = ['rename_dirs_001_pos']
+
+[/opt/zfs-tests/tests/functional/replacement]
+tests = ['replacement_001_pos', 'replacement_002_pos']
+
+[/opt/zfs-tests/tests/functional/reservation]
+tests = ['reservation_001_pos', 'reservation_002_pos', 'reservation_003_pos',
+    'reservation_004_pos', 'reservation_005_pos', 'reservation_006_pos',
+    'reservation_007_pos', 'reservation_008_pos', 'reservation_009_pos',
+    'reservation_010_pos', 'reservation_011_pos', 'reservation_012_pos',
+    'reservation_013_pos', 'reservation_014_pos', 'reservation_015_pos',
+    'reservation_016_pos', 'reservation_017_pos', 'reservation_018_pos']
+
+[/opt/zfs-tests/tests/functional/rootpool]
+tests = ['rootpool_002_neg', 'rootpool_003_neg', 'rootpool_007_neg']
+
+[/opt/zfs-tests/tests/functional/rsend]
+tests = ['rsend_001_pos', 'rsend_002_pos', 'rsend_003_pos', 'rsend_004_pos',
+    'rsend_005_pos', 'rsend_006_pos', 'rsend_007_pos', 'rsend_008_pos',
+    'rsend_009_pos', 'rsend_010_pos', 'rsend_011_pos', 'rsend_012_pos',
+    'rsend_013_pos']
+
+[/opt/zfs-tests/tests/functional/scrub_mirror]
+tests = ['scrub_mirror_001_pos', 'scrub_mirror_002_pos',
+    'scrub_mirror_003_pos', 'scrub_mirror_004_pos']
+
+[/opt/zfs-tests/tests/functional/slog]
+tests = ['slog_001_pos', 'slog_002_pos', 'slog_003_pos', 'slog_004_pos',
+    'slog_005_pos', 'slog_006_pos', 'slog_007_pos', 'slog_008_neg',
+    'slog_009_neg', 'slog_010_neg', 'slog_011_neg', 'slog_012_neg',
+    'slog_013_pos', 'slog_014_pos']
+
+[/opt/zfs-tests/tests/functional/snapshot]
+tests = ['clone_001_pos', 'rollback_001_pos', 'rollback_002_pos',
+    'rollback_003_pos', 'snapshot_001_pos', 'snapshot_002_pos',
+    'snapshot_003_pos', 'snapshot_004_pos', 'snapshot_005_pos',
+    'snapshot_006_pos', 'snapshot_007_pos', 'snapshot_008_pos',
+    'snapshot_009_pos', 'snapshot_010_pos', 'snapshot_011_pos',
+    'snapshot_012_pos', 'snapshot_013_pos', 'snapshot_014_pos',
+    'snapshot_015_pos', 'snapshot_016_pos', 'snapshot_017_pos']
+
+[/opt/zfs-tests/tests/functional/snapused]
+tests = ['snapused_001_pos', 'snapused_002_pos', 'snapused_003_pos',
+    'snapused_004_pos', 'snapused_005_pos']
+
+[/opt/zfs-tests/tests/functional/sparse]
+tests = ['sparse_001_pos']
+
+[/opt/zfs-tests/tests/functional/threadsappend]
+tests = ['threadsappend_001_pos']
+
+[/opt/zfs-tests/tests/functional/truncate]
+tests = ['truncate_001_pos', 'truncate_002_pos']
+
+[/opt/zfs-tests/tests/functional/userquota]
+tests = ['groupspace_001_pos', 'groupspace_002_pos', 'userquota_001_pos',
+    'userquota_002_pos', 'userquota_003_pos', 'userquota_004_pos',
+    'userquota_005_neg', 'userquota_006_pos', 'userquota_007_pos',
+    'userquota_008_pos', 'userquota_009_pos', 'userquota_010_pos',
+    'userquota_011_pos', 'userquota_012_neg', 'userspace_001_pos',
+    'userspace_002_pos']
+
+[/opt/zfs-tests/tests/functional/utils_test]
+tests = ['utils_test_001_pos', 'utils_test_002_pos', 'utils_test_003_pos',
+    'utils_test_004_pos', 'utils_test_005_pos', 'utils_test_006_pos',
+    'utils_test_007_pos', 'utils_test_008_pos', 'utils_test_009_pos']
+
+[/opt/zfs-tests/tests/functional/write_dirs]
+tests = ['write_dirs_001_pos', 'write_dirs_002_pos']
+
+[/opt/zfs-tests/tests/functional/xattr]
+tests = ['xattr_001_pos', 'xattr_002_neg', 'xattr_003_neg', 'xattr_004_pos',
+    'xattr_005_pos', 'xattr_006_pos', 'xattr_007_neg', 'xattr_008_pos',
+    'xattr_009_neg', 'xattr_010_neg', 'xattr_011_pos', 'xattr_012_pos',
+    'xattr_013_pos']
+
+[/opt/zfs-tests/tests/functional/zvol/zvol_ENOSPC]
+tests = ['zvol_ENOSPC_001_pos']
+
+[/opt/zfs-tests/tests/functional/zvol/zvol_cli]
+tests = ['zvol_cli_001_pos', 'zvol_cli_002_pos', 'zvol_cli_003_neg']
+
+[/opt/zfs-tests/tests/functional/zvol/zvol_misc]
+tests = ['zvol_misc_001_neg', 'zvol_misc_002_pos', 'zvol_misc_003_neg',
+    'zvol_misc_004_pos', 'zvol_misc_005_neg', 'zvol_misc_006_pos']
+
+[/opt/zfs-tests/tests/functional/zvol/zvol_swap]
+tests = ['zvol_swap_001_pos', 'zvol_swap_002_pos', 'zvol_swap_003_pos',
+    'zvol_swap_004_pos', 'zvol_swap_005_pos', 'zvol_swap_006_pos']
